=== debian/changelog ===
dwb (20120628hg-1) unstable; urgency=low

  * New upstream snapshot version.
  * Fixes URL redirection issue  (Closes: #673279).
  * Enhance dwb security using hardening flags, build-dep on hardening-wrapper.
  * Recommends on wget and xterm, enhances downloading features.
  * Update local patch:
    - debian/patches/manpage patch, new upstream manpage introduced a typo.
  * Removed deprecated patches with updated release:
    - debian/patches/configh-spelling.patch (Upstream adopted).
    - debian/patches/nulldereferences.patch (Upstream backported).

 -- Nathan Owens <ndowens@gmx.us>  Thu, 28 Jun 2012 12:33:23 -0500

dwb (20120402hg-1) unstable; urgency=low

  * Initial Release (Closes: #656145).

 -- Nathan Owens <ndowens@gmx.us>  Tue, 03 Apr 2012 20:00:27 -0500
