=== debian/control ===
Source: dwb
Section: web
Priority: extra
Maintainer: Nathan Owens <ndowens@gmx.us>
Build-Depends: debhelper (>= 8.0.0),
 libwebkitgtk-3.0-dev,
 hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://portix.bitbucket.org/dwb/

Package: dwb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wget, xterm
Description: lightweight webkit browser
 Highly customizable browser that can be easily configured through a web
 interface. Intends to be mostly keyboard driven.
 .
 Features:
  - vi like shortcuts
  - Link followed by keyboard hints
  - Bookmarks
  - Quickmarks
  - Cookie support
  - Proxy support
  - Userscript support
  - Tab completion for histroy, bookmarks, userscripts
  - Custom CSS Stylesheets
  - Tiling layouts
  - and more...
