=== doc/api/Makefile ===
# See COPYING for copyright and license details

BASEDIR=../..

include $(BASEDIR)/config.mk

all: web man webman

man: dwb-js.7

webman: jsapi.7.html

jsapi.7.html: jsapi.7.txt
	asciidoc -b html5 -a toc2 $<

dwb-js.7: jsapi.7.txt
	a2x -v --doctype manpage --format manpage $< -D $(BASEDIR)/$(DOCDIR)
