=== debian/changelog ===
dwb (20130503hg-2ubuntu1) trusty; urgency=medium

  * Don't build with GTK/GDK_DISABLE_DEPRECATED to fix FTBFS:
    view.c:1188:52: error: 'GTK_STOCK_DIALOG_ERROR' undeclared 
    (will be fixed in next upstream release)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Thu, 06 Feb 2014 20:27:14 +0100

dwb (20130503hg-2) unstable; urgency=low

  * Fixed update-alternatives from failing during upgrade
  * Enabling all hardening options, hardening was already enabled
    - but now all hardening options are enabled.
  * Changed libglib2.0-dev to libglib2.0-dev (>= 2.36)
    Newer libglib2 is needed to run correctly

 -- Nathan Owens <ndowens@gmx.us>  Thu, 09 May 2013 07:50:13 +0000

dwb (20130503hg-1) unstable; urgency=low
  
  * Updated version to latest git release
  * Added patch config-mk.patch to fix .git not found during compile
  * Fixes redundant call to update-menu in init scripts (Closes: #706688)
  * Added dwb.1 as part of alternative for x-www-browser (Closes: #706685)
  * Release fixes implicit conversion of double to enum (Closes: #688568)

 -- Nathan Owens <ndowens@gmx.us>  Sat, 04 May 2013 18:17:43 -0500

dwb (20130424hg-1) unstable; urgency=low

  * Tentative fixing https-related bug that crashes browser (Closes: #699072).
  * Fixed typo 'histroy" in control file (Closes: #685152).
  * Changed 'webkit' to 'WebKit' (Closes: #685152).
  * Added requested support for update-alternatives (Closes: #688301).
  * Added #DEBHELPER# to postinst and postrm script.
  * Removed dwb/.git and .pc files.
  * Cleaned up control and rules file to make it easier to read.
  * Created manpage patch to fix some typos in the manpage(doc/dwb-js.7).
  * Updated Package to the latest version from GIT from 04/09/2013.

 -- Nathan Owens <ndowens@gmx.us>  Tue, 23 Apr 2013 05:18:37 -0500
