=== debian/control ===
Source: dwb
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nathan Owens <ndowens@gmx.us>
Build-Depends: debhelper (>= 9),
 libwebkitgtk-3.0-dev,
 libgnutls-dev,
 libsoup2.4-dev,
 libjson0-dev,
 m4,
 libglib2.0-dev (>= 2.36)
Standards-Version: 3.9.4
Homepage: http://portix.bitbucket.org/dwb/

Package: dwb
Architecture: any
Depends: ${shlibs:Depends}, 
	 ${misc:Depends}
Provides: www-browser
Recommends: wget, xterm
Description: lightweight WebKit browser
 Highly customizable browser that can be easily configured through a web
 interface. Intends to be mostly keyboard driven.
 .
 Features:
  - vi like shortcuts
  - Link followed by keyboard hints
  - Bookmarks
  - Quickmarks
  - Cookie support
  - Proxy support
  - Userscript support
  - Tab completion for history, bookmarks, userscripts
  - Custom CSS Stylesheets
  - Tiling layouts
  - and more...
