=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export GTK=3
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

COMMIT=d6755999c1b16af33353a4fc248a3e8c56abe49d
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://bitbucket.org/portix/dwb.git \
			"$$TMPD/dwb" && \
    CDATE=`git --git-dir="$$TMPD/dwb/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		git --git-dir="$$TMPD/dwb/.git" archive \
			--prefix=dwb/ $(COMMIT) | \
			bzip2 > ../dwb_"$$CDATE"hg.orig.tar.bz2 && \
		rm -rf $$TMPD

%:
	dh $@
