=== debian/watch ===
version=3
http://bitbucket.org/portix/dwb/downloads/dwb-(.+).tar.gz
