## dwb 20140702hg

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 options: 
 	@echo Build options:
-	@echo CC 				= $(CC)
-	@echo CFLAGS 		= $(CFLAGS_OPTIONS)
+	@echo CC 		= $(CC)
+	@echo CFLAGS 	= $(CFLAGS_OPTIONS)
 	@echo LDFLAGS 	= $(LDFLAGS)
 	@echo CPPFLAGS 	= $(CPPFLAGS)
 
@@ -18,12 +18,13 @@
 
 #$(SRCDIR)/%: $(SUBDIR_BUILD_FIRST:%=%.subdir-buildfirst)
 
-%.subdir-buildfirst:
+%.subdir-buildfirst: 
 	@$(MAKE) $(MFLAGS) -C $*
 
-clean:  $(SUBDIRS:%=%.subdir-clean) $(SUBDIR_BUILD_FIRST:%=%.subdir-cleanfirst)
+clean:  $(SUBDIRS:%=%.subdir-clean) $(SUBDIR_BUILD_FIRST:%=%.subdir-cleanfirst) $(SUBDIR_BUILD_LIB:%=%.subdir-cleanlib)
+	-$(RM) -r sandbox
 
-%.subdir-clean %.subdir-cleanfirst:
+%.subdir-clean %.subdir-cleanfirst %.subdir-cleanlib:
 	@$(MAKE) $(MFLAGS) clean -C $*
 
 
@@ -31,12 +32,14 @@
 	@# Install binaries
 	install -d $(DESTDIR)$(BINDIR)
 	install -m 755 $(SRCDIR)/$(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)
-	install -m 755 $(TOOLDIR)/$(EXTENSION_MANAGER) $(DESTDIR)$(BINDIR)/$(EXTENSION_MANAGER)
+	install -m 755 $(DWBEMDIR)/$(EXTENSION_MANAGER) $(DESTDIR)$(BINDIR)/$(EXTENSION_MANAGER)
+	install -m 755 $(DWBRCDIR)/$(DWBRC) $(DESTDIR)$(BINDIR)/$(DWBRC)
 
 install-man: all
 	install -d $(DESTDIR)$(MAN1DIR)
 	install -m 644 $(DOCDIR)/$(MANFILE) $(DESTDIR)$(MAN1DIR)/$(MANFILE)
 	install -m 644 $(DOCDIR)/$(EXTENSION_MANAGER).1 $(DESTDIR)$(MAN1DIR)/$(EXTENSION_MANAGER).1
+	install -m 644 $(DOCDIR)/$(DWBRC).1 $(DESTDIR)$(MAN1DIR)/$(DWBRC).1
 	install -d $(DESTDIR)$(MAN7DIR)
 	install -m 644 $(DOCDIR)/$(MANAPI) $(DESTDIR)$(MAN7DIR)/$(MANAPI)
 
@@ -56,14 +59,24 @@
 	install -m 644 $(JSDIR)/$(BASE_SCRIPT) $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(JSDIR)/$(BASE_SCRIPT)
 	@# Libjs
 	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(LIBJSDIR)
-	for file in $(LIBJSDIR)/*; do \
+	for file in $(LIBJSDIR)/*.js; do \
 		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
 	done
 	@#Extensions
 	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(EXTENSIONDIR)
 	for file in $(EXTENSIONDIR)/*; do \
-		install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
+		if [ -f $$file ]; then \
+			install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
+		fi \
 	done
+	@#Modules
+	install -d $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$(MODULEDIR)
+	for file in $(MODULEDIR)/*; do \
+		if [ -f $$file ]; then \
+			install -m 644 $$file $(DESTDIR)$(DATADIR)/$(REAL_NAME)/$$file; \
+		fi \
+	done
+
 ifdef BASHCOMPLETION
 	install -d $(DESTDIR)/$(BASHCOMPLETION)
 	install -m 644 $(CONTRIBDIR)/bash-completion $(DESTDIR)/$(BASHCOMPLETION)/dwb
@@ -75,10 +88,12 @@
 	@echo "Removing executable from $(subst //,/,$(DESTDIR)$(BINDIR))"
 	@$(RM) $(DESTDIR)$(BINDIR)/$(TARGET)
 	@$(RM) $(DESTDIR)$(BINDIR)/$(EXTENSION_MANAGER)
+	@$(RM) $(DESTDIR)$(BINDIR)/$(DWBRC)
 
 uninstall-man: 
 	$(RM) $(DESTDIR)$(MAN1DIR)/$(MANFILE)
 	$(RM) $(DESTDIR)$(MAN1DIR)/$(EXTENSION_MANAGER).1
+	$(RM) $(DESTDIR)$(MAN1DIR)/$(DWBRC).1
 	$(RM) $(DESTDIR)$(MAN7DIR)/$(MANAPI)
 
 uninstall-data: 
@@ -90,7 +105,17 @@
 	unlink $(DESTDIR)$(BASHCOMPLETION)/dwbem
 endif
 
+doc: $(wildcard $(DOCDIR)/*.txt)
+	@$(MAKE) -C $(DOCDIR)
+
 distclean: clean
+
+runsandbox: sandbox
+	./sandbox/bin/dwb
+
+sandbox: clean
+	make PREFIX=$(CURDIR)/sandbox DESTDIR= install
+
 
 snapshot: 
 	@$(MAKE) dist DISTDIR=$(REAL_NAME)-$(BUILDDATE) 
@@ -98,6 +123,6 @@
 dist: distclean
 	@echo "Creating tarball."
 	@echo "Creating $(DISTDIR).tar.gz"
-	@git archive -o $(DISTDIR).tar.gz master
+	@git archive --prefix $(DISTDIR)/ -o $(DISTDIR).tar.gz master
 
 .PHONY: clean install uninstall distclean install-data install-man uninstall-man uninstall-data phony options
