=== doc/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 all: man web
 
-man: dwb.1 dwbem.1
+man: dwb.1 dwbem.1 dwbremote.1
 
-web: dwb.1.html dwbem.1.html
+web: dwb.1.html dwbem.1.html dwbremote.1.html 
 
 #dwb.1: dwb.1.txt 
 %.1: %.1.txt
