=== src/Makefile ===
--- 
+++ 
@@ -2,22 +2,46 @@
 
 BASEDIR=..
 
+REAL_NAME=dwb
+COPYRIGHT="(C) 2010-2013 Stefan Bolte"
+LICENSE="GNU General Public License, version 3 or later"
+
 include $(BASEDIR)/config.mk
+include config.mk
 
+SCRIPTDIR = scripts
 
-DEPS=$(patsubst %.o, %.d, $(OBJ))
+SRCSCRIPTS = $(wildcard $(SCRIPTDIR)/*.c)
+OBJSCRIPTS = ${SRCSCRIPTS:.c=.o}
+
+CFLAGS+=-I$(BASEDIR)/$(DWB_LIB_DIR_EXAR)
+CFLAGS+=-I$(BASEDIR)/$(DWB_LIB_DIR_RC)
+
+CFLAGS += -DNAME=\"$(NAME)\" 
+CFLAGS += -DVERSION=\"$(VERSION)\" 
+CFLAGS += -DCOPYRIGHT=\"$(COPYRIGHT)\"
+CFLAGS += -DLICENSE=\"$(LICENSE)\"
+CFLAGS += -DREAL_NAME=\"$(REAL_NAME)\"
+
+DEPS=$(patsubst %.o, %.d, $(OBJ)) 
+
+OBJ += $(BASEDIR)/$(OBJEXAR)
+OBJ += $(BASEDIR)/$(OBJRC)
+OBJ += $(OBJSCRIPTS)
+
+DOBJ := $(OBJ:.o=.do)
 
 all: $(TARGET)
 
 $(TARGET): $(OBJ) 
-	@echo "$(CC) $@"
+	@echo $(CC) -o $@
 	@$(CC) $(OBJ) -o $(TARGET) $(LDFLAGS) 
 
 -include $(OBJ:.o=.d)
 -include $(DOBJ:.do=.dd)
 
 %.o: %.c %.h config.h dwb.h
-	@echo "${CC} $<"
+	@echo $(CC) $<
 	@$(CC) -c -o $@ $< $(CFLAGS) $(CPPFLAGS) 
 
 debug: $(DTARGET)
@@ -31,7 +55,7 @@
 	@echo "${CC} $<"
 	@$(CC) -c -o $@ $< $(DCFLAGS) 
 
-$(DTARGET): $(DOBJ) 
+$(DTARGET): $(DOBJ)
 	@echo "$(CC) $@"
 	@$(CC) $(DOBJ) -o $(DTARGET) $(LDFLAGS) 
 
@@ -46,5 +70,6 @@
 clean:
 	$(RM) *.o  *.do $(TARGET) $(DTARGET) *.d
 	$(RM) tlds.h
+	$(RM) $(OBJSCRIPTS)
 
 .PHONY: clean all cgdb deps
