=== src/util/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 TRANSPORT_SECURITY_JSON=transport_security_state_static.json
 TRANSPORT_SECURITY_CERTS=transport_security_state_static.certs
 
-LIBS=glib-2.0 gnutls json
+LIBS=glib-2.0 gnutls $(JSONC)
 CFLAGS+=$(shell pkg-config --cflags $(LIBS))
 LDFLAGS=$(shell pkg-config --libs $(LIBS))
 
@@ -34,7 +34,7 @@
 	@./$(MKTLDS) < $(TLDS_IN) > $@
 
 $(MKTLDS): $(MKTLDS_SRC)
-	@echo "${CC} $<"
+	@echo $(CC) $< 
 	@$(CC) -o $@ $< $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
 
 $(HSTS_PRELOAD): $(HSTS) $(TRANSPORT_SECURITY_CERTS) $(TRANSPORT_SECURITY_JSON)
@@ -42,7 +42,7 @@
 	@./$(HSTS) > $@
 
 $(HSTS): $(HSTS).c
-	@echo "${CC} $<"
+	@echo $(CC) $< 
 	@$(CC) $(CFLAGS) $(CPPFLAGS) -o $(HSTS) $(HSTS).c $(LDFLAGS)
 
 clean:
