=== debian/changelog ===
dwb (20140702hg-2) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Taking patch from Fedora: dwb-gtk-deprecated.patch -- fix FTBFS.
    (Closes: #763220)

  [ Sebastian Ramacher]
  * debian/control: Add myself to Uploaders.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Oct 2014 01:49:05 +0100

dwb (20140702hg-1) unstable; urgency=medium

  * Updated to newer upstream version
    -- Fixes Invalid enum type (Closes: #748303)
    -- Added libsecret-1-dev
       -- Adds support for storing and retrieving passwords

  * Built against libgnutls28-dev (Closes: #752310)
    -- older GnuTLS versions should not be part of jessie
	
 -- Nathan Owens <ndowens@gmx.us>  Thu, 03 Jul 2014 15:09:51 -0500

dwb (20140415hg-1) unstable; urgency=medium

  * Updated to newer upstream snapshot
    -- Fixes dbus error with libglib(v.2.40) (Closes: #745396) 

 -- Nathan Owens <ndowens@gmx.us>  Tue, 22 Apr 2014 13:48:01 +0000

dwb (20140307hg-3) unstable; urgency=medium

  * Changed libjson0-dev to libjson-c-dev (Closes: #745002)

 -- Nathan Owens <ndowens@gmx.us>  Thu, 17 Apr 2014 13:30:31 +0000

dwb (20140307hg-2) unstable; urgency=medium

  * Added support for Bash completion (Closes: #743039)

 -- Nathan Owens <ndowens@gmx.us>  Sun, 30 Mar 2014 22:53:36 +0000

dwb (20140307hg-1) unstable; urgency=medium

  * Updated to upstream snapshot
    - Fixes saving of settings (Closes: #738648)
    - Fixes use of deprecated functions (Closes: #741776)
  * Fixed typo in dwb.postinst (Closes: #719066)
    - Prevented updating www-alternative
  * Removed dwb_1.patch, no longer needed
  * Bump Standards-Version to 3.9.5
  
 -- Nathan Owens <ndowens@gmx.us>  Wed, 26 Mar 2014 17:45:12 +0000
