=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: dwb
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Owens <ndowens@gmx.us>
+Maintainer: Nathan Owens <ndowens@gmx.us>
+Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 9),
  libwebkitgtk-3.0-dev,
- libgnutls-dev,
+ libgnutls28-dev,
  libsoup2.4-dev,
- libjson0-dev,
+ libjson-c-dev,
  m4,
- libglib2.0-dev (>= 2.36)
-Standards-Version: 3.9.4
+ libglib2.0-dev (>= 2.36),
+ libsecret-1-dev
+Standards-Version: 3.9.5
 Homepage: http://portix.bitbucket.org/dwb/
 
 Package: dwb
