=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export GTK=3
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
 
-COMMIT=d6755999c1b16af33353a4fc248a3e8c56abe49d
+
+COMMIT=6224470489eb5ba92987e01396269f8b7cd78ada
 get-orig-source:
 	TMPD=`mktemp -d` && \
 		git clone https://bitbucket.org/portix/dwb.git \
@@ -17,5 +20,10 @@
 			bzip2 > ../dwb_"$$CDATE"hg.orig.tar.bz2 && \
 		rm -rf $$TMPD
 
+override_dh_install:
+	mkdir -p debian/dwb/usr/share/bash-completion/completions
+	install -m 644 contrib/bash-completion \
+		debian/dwb/usr/share/bash-completion/completions/dwb
+	dh_install
 %:
 	dh $@
