=== doc/api/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include $(BASEDIR)/config.mk
 
-all: web man webman
+all: man webman
 
 man: dwb-js.7
