=== debian/changelog ===
dwb (20150419git-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Orphan package.
  * debian/patches/no-Werror.patch: Do not build with -Werror. (Closes:
    #809569)
  * debian/menu: Removed since dwb includes a desktop file.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jan 2016 17:39:03 +0100

dwb (20150419git-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/rules: Compress orig tarball with xz.
  * debian/control: Bump Standards-Version to 3.9.6.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 May 2015 18:09:15 +0200
