=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dwb
 Section: web
 Priority: extra
-Maintainer: Nathan Owens <ndowens@gmx.us>
-Uploaders: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
  libwebkitgtk-3.0-dev,
  libgnutls28-dev,
@@ -11,13 +10,13 @@
  m4,
  libglib2.0-dev (>= 2.36),
  libsecret-1-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://portix.bitbucket.org/dwb/
 
 Package: dwb
 Architecture: any
-Depends: ${shlibs:Depends}, 
-	 ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
 Provides: www-browser
 Recommends: wget, xterm
 Description: lightweight WebKit browser
