=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export GTK=3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_install:
	mkdir -p debian/dwb/usr/share/bash-completion/completions
	install -m 644 contrib/bash-completion \
		debian/dwb/usr/share/bash-completion/completions/dwb
	dh_install

COMMIT=8ba11e59a7400bcc0e30c006a35db8d0ef4ad9fe
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://bitbucket.org/portix/dwb.git \
			"$$TMPD/dwb" && \
			CDATE=`git --git-dir="$$TMPD/dwb/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		git --git-dir="$$TMPD/dwb/.git" archive \
			--prefix=dwb/ $(COMMIT) | \
			xz > ../dwb_"$$CDATE"git.orig.tar.xz && \
		rm -rf $$TMPD
